-- vim.g.serxoz_colorscheme = "tokyonight"
vim.g.serxoz_colorscheme = "gruvbox"
-- vim.g.serxoz_colorscheme = "catppuccin"
-- vim.g.serxoz_colorscheme = "rose-pine"
-- vim.g.serxoz_colorscheme = "nord"
-- vim.g.serxoz_colorscheme = "night-owl"
-- vim.g.serxoz_colorscheme = "onedark"

require("catppuccin").setup({
	transparent_background = false,
});

require('onedark').setup {
    style = 'darker'
}

function ColorMyPencils()
    vim.g.gruvbox_contrast_dark = 'hard'
    vim.g.tokyonight_transparent_sidebar = true
    vim.g.tokyonight_transparent = true
    vim.g.gruvbox_invert_selection = '0'

    vim.cmd("colorscheme " .. vim.g.serxoz_colorscheme)

    local hl = function(thing, opts)
        vim.api.nvim_set_hl(0, thing, opts)
    end

    hl("SignColumn", {
        bg = "none",
    })

    hl("ColorColumn", {
        ctermbg = 0,
        bg = "#272727",
    })

    hl("CursorLineNR", {
        bg = "None"
    })

    hl("Normal", {
        bg = "none"
    })

    hl("LineNr", {
        fg = "#5eacd3"
    })
    
    hl("netrwDir", {
        fg = "#5eacd3"
    })

    vim.opt.background = "dark"
end
ColorMyPencils()
